org.deidentifier.arx.gui

## Class Update

- java.lang.Object
- - org.deidentifier.arx.gui.Update

All Implemented Interfaces:
  java.lang.Runnable

    public class Update
    extends java.lang.Object
    implements java.lang.Runnable

This class checks the version number

Author:
  Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`Update(org.eclipse.swt.widgets.Shell shell)` Instantiates a new update.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Update

    public Update(org.eclipse.swt.widgets.Shell shell)

Instantiates a new update.

Parameters:
  `shell` - the shell

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`